import { Component, OnInit } from '@angular/core';
import { AccountService } from '../data-object-service';
import { Account } from '../data-objects';
import { ExtApiService } from '../ext-data-object-service';
import { MessageService } from '../message.service';

@Component({
  selector: 'app-ledger',
  templateUrl: './ledger.component.html',
  styleUrls: ['./ledger.component.css']
})
export class LedgerComponent implements OnInit {

  account: Account
  accountId: number

  constructor(
    private extApiService: ExtApiService,
    private messageService: MessageService
  ) { }

  async getAccount(): Promise<void> {
    try {
      this.messageService.add("Trying to load ledger account")
      this.account = await this.extApiService.getAccountByDescription('Ledger')
      this.messageService.add("Account loaded")
    } catch (err) {
      this.messageService.add(JSON.stringify(err, undefined, 4))
    }
  }

  async ngOnInit(): Promise<void> {
    await this.getAccount()
    this.accountId = this.account.id
  }

}
